---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libiterreachobj003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3FE4, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4E160, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x500A0, symBinAddr: 0xE118, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50488, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51428, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51430, symBinAddr: 0xF4A8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4DDE0, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4DDE4, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4DDE8, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4DF38, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4DFF0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4DFF4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4DFF8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4DFFC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4E000, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4E008, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4E018, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4E020, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4E028, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4E030, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4E038, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4E040, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x4E088, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x4E090, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4E098, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E4, offset: 0x94E4, size: 0x8, addend: 0x0, symName: __ZL8userData, symObjAddr: 0x4E0D4, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2FA8, symSize: 0xA0 }
  - { offsetInCU: 0x95CB, offset: 0x95CB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2F80, symSize: 0x28 }
  - { offsetInCU: 0x962E, offset: 0x962E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2F00, symSize: 0x80 }
  - { offsetInCU: 0x98C2, offset: 0x98C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3048, symSize: 0x34 }
  - { offsetInCU: 0x991C, offset: 0x991C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x307C, symSize: 0x20C }
  - { offsetInCU: 0x9AD5, offset: 0x9AD5, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3288, symSize: 0x28 }
  - { offsetInCU: 0x9B9E, offset: 0x9B9E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x32B0, symSize: 0xB0 }
  - { offsetInCU: 0x9C95, offset: 0x9C95, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3360, symSize: 0xD8 }
  - { offsetInCU: 0x9E06, offset: 0x9E06, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3438, symSize: 0x24 }
  - { offsetInCU: 0x9E91, offset: 0x9E91, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x345C, symSize: 0x168 }
  - { offsetInCU: 0xA06D, offset: 0xA06D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x35C4, symSize: 0x104 }
  - { offsetInCU: 0xA31E, offset: 0xA31E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x36C8, symSize: 0x3F8 }
  - { offsetInCU: 0xA542, offset: 0xA542, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3AC0, symSize: 0x154 }
  - { offsetInCU: 0xA726, offset: 0xA726, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3C14, symSize: 0xAC }
  - { offsetInCU: 0xA7FB, offset: 0xA7FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3CC0, symSize: 0x14 }
  - { offsetInCU: 0xA834, offset: 0xA834, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3CD4, symSize: 0x14 }
  - { offsetInCU: 0xA86D, offset: 0xA86D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3CE8, symSize: 0x14 }
  - { offsetInCU: 0xA9EA, offset: 0xA9EA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3CFC, symSize: 0x1A8 }
  - { offsetInCU: 0xACF4, offset: 0xACF4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3EA4, symSize: 0x140 }
  - { offsetInCU: 0xAE95, offset: 0xAE95, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4254, symSize: 0x1C0 }
  - { offsetInCU: 0xB172, offset: 0xB172, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4414, symSize: 0x9C }
  - { offsetInCU: 0xB22F, offset: 0xB22F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x44B0, symSize: 0x690 }
  - { offsetInCU: 0xBDC1, offset: 0xBDC1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9D34, symBinAddr: 0x62B0, symSize: 0x30 }
  - { offsetInCU: 0xBE4D, offset: 0xBE4D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4B40, symSize: 0x74 }
  - { offsetInCU: 0xBEFD, offset: 0xBEFD, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4BB4, symSize: 0xB0 }
  - { offsetInCU: 0xBFDC, offset: 0xBFDC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4C64, symSize: 0x3C }
  - { offsetInCU: 0xC0D2, offset: 0xC0D2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4CA0, symSize: 0x29C }
  - { offsetInCU: 0xC415, offset: 0xC415, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4F3C, symSize: 0xD0 }
  - { offsetInCU: 0xC543, offset: 0xC543, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x500C, symSize: 0xC }
  - { offsetInCU: 0xC605, offset: 0xC605, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5018, symSize: 0x22C }
  - { offsetInCU: 0xC8C0, offset: 0xC8C0, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5244, symSize: 0x4 }
  - { offsetInCU: 0xC904, offset: 0xC904, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5244, symSize: 0x4 }
  - { offsetInCU: 0xC91D, offset: 0xC91D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5248, symSize: 0x1F0 }
  - { offsetInCU: 0xCB8C, offset: 0xCB8C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EBC, symBinAddr: 0x5438, symSize: 0x4 }
  - { offsetInCU: 0xCBD0, offset: 0xCBD0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EBC, symBinAddr: 0x5438, symSize: 0x4 }
  - { offsetInCU: 0xCC09, offset: 0xCC09, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x8EC0, symBinAddr: 0x543C, symSize: 0x420 }
  - { offsetInCU: 0xD14E, offset: 0xD14E, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0x92E0, symBinAddr: 0x585C, symSize: 0x420 }
  - { offsetInCU: 0xD6CD, offset: 0xD6CD, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0x9700, symBinAddr: 0x5C7C, symSize: 0x450 }
  - { offsetInCU: 0xDCA8, offset: 0xDCA8, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9B50, symBinAddr: 0x60CC, symSize: 0x1E4 }
  - { offsetInCU: 0xDEB2, offset: 0xDEB2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9D64, symBinAddr: 0x62E0, symSize: 0x358 }
...
